import { hub } from "..";

export interface IDevice {
    id: string,
    name: string,
    harmony: any | undefined,
    log: any,
    hubType: hub
    supportsCommand(commandName: string): boolean,
    getCommand(commandName: string): string,
    sendCommand(command: string): void,
    powerOn(): Promise<void>,
    powerOff(): Promise<void>,
    commands: { [name: string]: string };
    on: boolean;
}
