import { hub } from "..";

export interface IDeviceSetupItemProps {
    deviceName: string,
    input: string,
    hub: hub
}

/**
 * Data model to hold device setup items.
 */
export class DeviceSetupItem {
    private _deviceId: string = "";
    private _input: string = "";
    private _hubName: hub;
    constructor(props: IDeviceSetupItemProps) {
        this._deviceId = props.deviceName;
        this._input = props.input;
        this._hubName = props.hub;
    }

    public get deviceName() {
        return this._deviceId;
    }

    public get input() {
        return this._input;
    }

    public get hubName() {
        return this._hubName;
    }
}